=== debian/changelog ===
minisat+ (1.0-5) unstable; urgency=medium

  * Team upload.
  
  [ Andreas Tille ]
  * Packaging on Salsa
  * Point watch file to Github
    Closes: #958287
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass a cross CXX to clean.
    Closes: #1033990

 -- Andreas Tille <tille@debian.org>  Thu, 26 Sep 2024 14:38:34 +0200

minisat+ (1.0-4) unstable; urgency=medium

  * debian/tests/control: add Depends: @ for test "upstream".

 -- Ralf Treinen <treinen@debian.org>  Sun, 19 Feb 2017 17:03:19 +0100

minisat+ (1.0-3) unstable; urgency=medium

  * debian/copyright: machine-readable format 1.0
  * Standards-version 3.9.8 (no change)
  * Debhelper compatibility level 10:
    - bump debian/compat
    - bump build-dependency on debhelper
  * Vcs-{Git,Browser}: secure URI
  * patch spelling: fix typo in help text
  * add as-installed package test

 -- Ralf Treinen <treinen@debian.org>  Mon, 19 Dec 2016 08:06:16 +0100

minisat+ (1.0-2) unstable; urgency=low

  * Patch exitcode: non-null exit code on parse error.

 -- Ralf Treinen <treinen@debian.org>  Tue, 24 May 2011 20:42:23 +0200

minisat+ (1.0-1) unstable; urgency=low

  * Initial package (closes: Bug#626410)

 -- Ralf Treinen <treinen@debian.org>  Thu, 12 May 2011 22:13:24 +0200
