=== debian/control ===
Source: minisat+
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgmp-dev,
               zlib1g-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/minisatp
Vcs-Git: https://salsa.debian.org/science-team/minisatp.git
Homepage: http://minisat.se/MiniSat+.html
Rules-Requires-Root: no

Package: minisat+
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: solver for pseudo-Boolean constraints
 MinSat+ is a solver for Pseudo-Boolean Optimization (AKA 0-1
 integer programming) that is based on the MiniSat SAT-solver. It
 supports optimizing a linear objective function, subject to a set
 of linear constraints. The variables of the objective function
 and constraints are boolean, i.e. required to be 0 or
 1. Pseudo-Boolean optimization can be used to solve many kinds of
 combinatorial optimization problems. This version of Minisat+ is
 compiled with bignum support for constraint coefficients.
