=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_make:
	make rs

override_dh_auto_clean:
	make clean CXX=$(CXX)
