=== debian/watch ===
version=4

opts="mode=git, dversionmangle=auto" \
   https://github.com/niklasso/minisatp.git refs/tags/v?@ANY_VERSION@
